> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/knowledge-base/troubleshooting-articles/the-specified-redirect_uri-is-not-valid-for-this-client-application.md).

# The specified 'redirect\_uri' is not valid for this client application

Fixes an invalid redirect URI or Entra ID login error in Devolutions Server by correcting the case sensitive Access URI setting in IIS.

The following error is displayed when you try to login on the Devolutions Server web page:

```
error:invalid_request
error_description:The specified 'redirect_uri' is not valid for this client application.
error_uri:https://documentation.openiddict.com/errors/ID2043
```

When attempting to login using Microsoft Entra ID authentication in Remote Desktop Manager, you may get the following error message instead:

```
Unable to login with Microsoft Entra ID. Please contact your administrator. Error: Object reference not set to an instance of an object.
```

### Solution

{% hint style="success" %}
The Access URI is case sensitive and must respect the certificate host name.
{% endhint %}

To solve these issues, verify that the Access URI is properly set in the IIS tab of the Devolutions Server settings. Please see [Access URI](/server/knowledge-base/knowledge-base-articles/access-uri-format.md) for more information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/knowledge-base/troubleshooting-articles/the-specified-redirect_uri-is-not-valid-for-this-client-application.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
